server:
  port: 9393
  max-http-header-size: 1MB

  tomcat:
    max-http-form-post-size: 100MB
    max-swallow-size: 100MB

logging:
  level:
    .: INFO
    ROOT: INFO
    ru.antara: DEBUG

spring:
  main:
    banner-mode: off

  output:
    ansi:
      enabled: always

  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB

  security:
    filter:
      order: 50

  jpa:
    database-platform: ru.antara.internal.staff.tracking.services.system.CustomPostgreSQLDialect
    show-sql: false
    properties:
      hibernate:
        dialect: ru.antara.internal.staff.tracking.services.system.CustomPostgreSQLDialect
        type: ERROR
        format_sql: true
        cache:
          use_second_level_cache: false
        temp:
          use_jdbc_metadata_defaults: true

  datasource:
    username: antara
    password: antara
    url: jdbc:postgresql://127.0.0.1:5432/antara

  liquibase:
    enabled: true
    change-log: classpath:db/liquibase-dev-changelog.xml


management:
  endpoints:
    web:
      exposure:
        include:
          - liquibase
          - loggers
          - info
  server:
    port: 9494
